Skip to main content
`Ctrl`+`K`

# KSPComputeRHSFn

A prototype of a `KSP` evaluation function that would be passed to `KSPSetComputeRHS()`

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode KSPComputeRHSFn(KSP ksp, Vec b, PetscCtx ctx);

## Calling Sequence

- ksp - `ksp` context

- b - output vector

- ctx - [optional] user-defined function context

## See Also

KSP: Linear System Solvers, `KSP`, `KSPSetComputeRHS()`, `SNESGetFunction()`, `KSPComputeInitialGuessFn`, `KSPComputeOperatorsFn`

## Level

beginner

## Location

include/petscksp.h

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages